/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.layers;

import nl.cloudfarming.client.geoviewer.LayerListApi;
import org.openide.util.lookup.ServiceProvider;


/**
 * Used to refresh the layerlist from outside the module.
 * 
 * @author Maarten Hollenga
 */
@ServiceProvider(service=LayerListApi.class)
public class GlobalLayerListApi implements LayerListApi {

    /**
     * Refreshes the layerlist topcomponent.
     */
    @Override
    public void refresh() {
        LayerListTopComponent.findInstance().refresh();
    }
}
